import 'package:flutter/material.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class GoodsListCreater extends WidgetCreater {
  @override
  List<Widget> createWidgets(Map<String, dynamic> model) {
    return [
      _createHeader(),
      _createBody(),
    ];
  }

  @override
  List<Widget> createSkeleton(Map<String, dynamic> model) {
    return [];
  }

  Widget _createHeader() {
    return SliverPersistentHeader(
      pinned: true,
      floating: false,
      delegate: MySliverPersistentHeaderDelegate(),
    );
  }

  Widget _createBody() {
    // return SliverGrid(
    //   gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
    //       crossAxisCount: 3, crossAxisSpacing: 5, mainAxisSpacing: 3),
    //   delegate: SliverChildBuilderDelegate((BuildContext context, int index) {
    //     return Container(
    //       color: Colors.primaries[index % Colors.primaries.length],
    //     );
    //   }, childCount: 20),
    // );

    return SliverList(
        delegate: SliverChildListDelegate(List<Widget>.generate(30, (index) {
      return Container(
        width: double.infinity,
        height: 60,
        color: Colors.primaries[index % Colors.primaries.length],
      );
    })));
  }

  @override
  bool isSliverChild() {
    return true;
  }
}

class MySliverPersistentHeaderDelegate extends SliverPersistentHeaderDelegate {
  @override
  Widget build(
      BuildContext context, double shrinkOffset, bool overlapsContent) {
    return Container(
        color: Colors.red,
        alignment: Alignment.center,
        child: Text('222222', style: TextStyle(color: Colors.white)));
  }

  @override
  double get maxExtent => 100.0;

  @override
  double get minExtent => 100.0;

  @override
  bool shouldRebuild(SliverPersistentHeaderDelegate oldDelegate) =>
      false; // 如果内容需要更新，设置为true
}
